<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/ConfigHandler/CfgParam.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d22/_cfg_param_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CfgParam.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d22/_cfg_param_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">    1</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a>   = 0;</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">    2</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a>      = 1;</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#af051332f6081fc403dfd66575df4030b">    3</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#af051332f6081fc403dfd66575df4030b">CFG_TYPE_FLOAT</a>    = 2;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#a154c21add7aa9e9a7f3545d33519f5a1">    4</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#a154c21add7aa9e9a7f3545d33519f5a1">CFG_TYPE_BOOL</a>     = 3;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#a1dabc6777da99b2e3d888479b2f5c954">    5</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#a1dabc6777da99b2e3d888479b2f5c954">CFG_TYPE_ARRAY</a>    = 4;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d22/_cfg_param_8c.html#a5ec6a3b0db96a95f007302245e08c808">    6</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#a5ec6a3b0db96a95f007302245e08c808">CFG_TYPE_PARAM</a>    = 5;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d9b/class_cfg_param.html">CfgParam</a>: <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span>    <a class="code hl_variable" href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">m_ParamName</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a8909a3218d193a8245962f0f751937ef">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span>    <a class="code hl_variable" href="../../d2/d9b/class_cfg_param.html#a8909a3218d193a8245962f0f751937ef">m_ParamValueString</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#af28b9d8e5f6ed43613854efea2f2f0f1">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#af28b9d8e5f6ed43613854efea2f2f0f1">CfgParam</a>(<span class="keywordtype">string</span> param_name)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">m_ParamName</a> = param_name;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a7409c23692b1888df716f93957a9ad0b">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a7409c23692b1888df716f93957a9ad0b">SetName</a>(<span class="keywordtype">string</span> param_name)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">m_ParamName</a> = param_name;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a0c9b8437c29b1d6093f6d7839ed093b3">   23</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a0c9b8437c29b1d6093f6d7839ed093b3">GetName</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">m_ParamName</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a949f16765ee5e2087d0425e70b1f564b">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a949f16765ee5e2087d0425e70b1f564b">GetType</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a16889c7ddb03e2965b1d5221f1386d5e">   33</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a16889c7ddb03e2965b1d5221f1386d5e">IsArray</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d2/d9b/class_cfg_param.html#a11935f3d21756ef646eac8465e290ca1">   38</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d9b/class_cfg_param.html">CfgParam</a> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a11935f3d21756ef646eac8465e290ca1">CreateParam</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <span class="keywordtype">int</span> cfg_type)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../d2/d9b/class_cfg_param.html">CfgParam</a> param;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">switch</span> (cfg_type)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a>:</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                param = <span class="keyword">new</span> CfgParamString(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a>:</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                param = <span class="keyword">new</span> CfgParamInt(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#af051332f6081fc403dfd66575df4030b">CFG_TYPE_FLOAT</a>:</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                param = <span class="keyword">new</span> CfgParamFloat(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#a154c21add7aa9e9a7f3545d33519f5a1">CFG_TYPE_BOOL</a>:</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                param = <span class="keyword">new</span> CfgParamBool(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#a1dabc6777da99b2e3d888479b2f5c954">CFG_TYPE_ARRAY</a>:</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                param = <span class="keyword">new</span> <a class="code hl_function" href="../../d2/d9b/class_cfg_param.html#a85056f9689b053a43bfb55dbbad94bbe">CfgParamArray</a>(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> param;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>}</div>
<div class="ttc" id="a_cfg_param_8c_html_a154c21add7aa9e9a7f3545d33519f5a1"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#a154c21add7aa9e9a7f3545d33519f5a1">CFG_TYPE_BOOL</a></div><div class="ttdeci">const int CFG_TYPE_BOOL</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00004">CfgParam.c:4</a></div></div>
<div class="ttc" id="a_cfg_param_8c_html_a1dabc6777da99b2e3d888479b2f5c954"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#a1dabc6777da99b2e3d888479b2f5c954">CFG_TYPE_ARRAY</a></div><div class="ttdeci">const int CFG_TYPE_ARRAY</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00005">CfgParam.c:5</a></div></div>
<div class="ttc" id="a_cfg_param_8c_html_a5ec6a3b0db96a95f007302245e08c808"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#a5ec6a3b0db96a95f007302245e08c808">CFG_TYPE_PARAM</a></div><div class="ttdeci">const int CFG_TYPE_PARAM</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00006">CfgParam.c:6</a></div></div>
<div class="ttc" id="a_cfg_param_8c_html_aa51a3809577ff9b39347a158d9d628f9"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a></div><div class="ttdeci">const int CFG_TYPE_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00002">CfgParam.c:2</a></div></div>
<div class="ttc" id="a_cfg_param_8c_html_ac0481301affd7dbad5b77cf73ab5523c"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a></div><div class="ttdeci">const int CFG_TYPE_STRING</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00001">CfgParam.c:1</a></div></div>
<div class="ttc" id="a_cfg_param_8c_html_af051332f6081fc403dfd66575df4030b"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#af051332f6081fc403dfd66575df4030b">CFG_TYPE_FLOAT</a></div><div class="ttdeci">const int CFG_TYPE_FLOAT</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00003">CfgParam.c:3</a></div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="aclass_cfg_param_html"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html">CfgParam</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00008">CfgParam.c:9</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a0c9b8437c29b1d6093f6d7839ed093b3"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a0c9b8437c29b1d6093f6d7839ed093b3">CfgParam::GetName</a></div><div class="ttdeci">string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00023">CfgParam.c:23</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a11935f3d21756ef646eac8465e290ca1"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a11935f3d21756ef646eac8465e290ca1">CfgParam::CreateParam</a></div><div class="ttdeci">static CfgParam CreateParam(string name, int cfg_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00038">CfgParam.c:38</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a16889c7ddb03e2965b1d5221f1386d5e"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a16889c7ddb03e2965b1d5221f1386d5e">CfgParam::IsArray</a></div><div class="ttdeci">bool IsArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00033">CfgParam.c:33</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a7409c23692b1888df716f93957a9ad0b"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a7409c23692b1888df716f93957a9ad0b">CfgParam::SetName</a></div><div class="ttdeci">void SetName(string param_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00018">CfgParam.c:18</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a85056f9689b053a43bfb55dbbad94bbe"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a85056f9689b053a43bfb55dbbad94bbe">CfgParam::CfgParamArray</a></div><div class="ttdeci">void CfgParamArray(string param_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d22/_cfg_param_array_8c_source.html#l00005">CfgParamArray.c:5</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a8909a3218d193a8245962f0f751937ef"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a8909a3218d193a8245962f0f751937ef">CfgParam::m_ParamValueString</a></div><div class="ttdeci">protected string m_ParamValueString</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00011">CfgParam.c:11</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_a949f16765ee5e2087d0425e70b1f564b"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#a949f16765ee5e2087d0425e70b1f564b">CfgParam::GetType</a></div><div class="ttdeci">int GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00028">CfgParam.c:28</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_ac94dce9001bfb87acdb43c879e4fdeba"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#ac94dce9001bfb87acdb43c879e4fdeba">CfgParam::m_ParamName</a></div><div class="ttdeci">protected string m_ParamName</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00010">CfgParam.c:10</a></div></div>
<div class="ttc" id="aclass_cfg_param_html_af28b9d8e5f6ed43613854efea2f2f0f1"><div class="ttname"><a href="../../d2/d9b/class_cfg_param.html#af28b9d8e5f6ed43613854efea2f2f0f1">CfgParam::CfgParam</a></div><div class="ttdeci">void CfgParam(string param_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00013">CfgParam.c:13</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00117">EnScript.c:118</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_95075feac9ee3609295b78ec16180d9e.html">ConfigHandler</a></li><li class="navelem"><a class="el" href="../../d0/d22/_cfg_param_8c.html">CfgParam.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
